Subject: bug#77313: 30.1.50; Regression: flymake indicators are erroneously using margins

From: Spencer Baugh <[email-masked]>
Date: Thu, 27 Mar 2025 12:57:32 -0400

Eli Zaretskii <[email-masked]> writes:
>> From: Spencer Baugh <[email-masked]>
>> Keep in mind I was the one who, while reviewing the flymake patch adding
>> margins, suggested that TTY frames automatically default to using
>> margins.  This code exists because I requested it.  I sadly did not
>> realize that the behavior was implemented with a buggy default value for
>> flymake-indicator-type, nor was it caught before release; I only just
>> now have received direct user complaints about the regression.
>
> That's fine.  We all make mistakes.  But the way to correct those
> mistakes is not to go back, it's to go forward.
>
> So I urge you to work on a fix which doesn't disable the indicators in
> "emacs -nw", but instead attempts to detect the situations you
> describe above and adapt the indicator style to them.

If you insist, I will develop such a fix.  It will be more complex.  But
can we please nevertheless backport it to Emacs 30?  I really want this
regression to be fixed in Emacs 30.2; I've gotten multiple user
complaints about it.